<?php
/*
# Somon Ashuraliev 
# WapElita.Ru
*/
# Заголовок>Функции>Шапка

require_once ('../system/function.php');
$act = isset($_GET['act']) ? $_GET['act'] : null;
$id = htmlspecialchars($_GET['id']);
$log = ($ank['urli'] != null ? $ank['urli'] : $_GET['log']);

if(!empty($id)){
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `login` = '".$id."'"));
} else {
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `urli` = '".$log."'"));
}

if($ank['id'] == $user['id']) $title = 'Моя анкета';
else $title = 'Анкета '.$ank['login'].'';

require_once ('../system/header.php');
# закрываем от гостей
if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}





switch($act)
{
default:

if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}

$rm = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$ank['id']."' LIMIT 1"));
if($rm['block']==1){
echo '';
echo '<div class="podmenu"><font color="red"><b>Анкета заблокирована по просьбе владельца!</b></font></div>';
echo '<div class="podmenu"><b>Причина блокировки: '.$rm['blockprich'].'</b></div>';
require_once ('../system/footer.php'); exit;
}

if($ank['id'] == $user['id']) echo '<div class="title"><center>Моя анкета</center></div>';
else echo '<div class="title"><center>Анкета пользователя</center></div>';
if($ank['rang']== 3) $us=' | <b><font color="red">Элитный мастер</font></b>';
elseif($ank['level']==0) $us=' | <b><font color="green">Пользователь</font></b>';
if($ank['level']==1) $us=' | <b><font color="red">Модератор</font></b>';
if($ank['level']==2) $us=' | <b><font color="red">Администатор</font></b>';
if($ank['level']==3) $us=' | <b><font color="red">Старший Администратор</font></b>';
if($ank['level']==4) $us=' | <b><font color="red">Создатель</font></b>';
echo '<center><div class="links">'.nick($ank['id']);
echo ' | Рейтинг: <font color="green"><b>'.bb($ank['rating']).'</b></font>';
echo ''.$us.'';
echo '</div></center>';


$reg = mysql_fetch_assoc(mysql_query("SELECT * FROM `reg` WHERE `us` = '".$ank['id']."' LIMIT 1"));
if($reg['dop']==3)
{
echo '<center><div class="error">Анкета на модерации</div></center>';
}
if($reg['dop']==da)
{
echo '<div class="podmenu">Регистрацию подтвердил '.nick($reg['kem']).'</div>';
}
elseif($reg['dop']==net)
{
echo '<div class="podmenu">Отклонил регистрацию  '.nick($reg['kem']).'</div>';
}
$ban = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban_list` WHERE `kto` = '".$ank['id']."' && `time_end` > '".time()."' LIMIT 1"));
if($ban != 0) {
echo '<div class="podmenu">';
echo '<font color="red"><b>Пользователь забанен!</b></font><br/>';
echo 'Забанил: '.nick($ban['add_ban']).'<br/>';
echo 'Причина: <b>'.smile(bb($ban['about'])).'</b><br/>';
echo 'Дата освобождения: <b>'.date('d.m.Y в H:i',$ban['time_end']).'</b>';
echo '</div>';
}
$ked = mysql_fetch_assoc(mysql_query("SELECT * FROM `ked_list` WHERE `kto` = '".$ank['id']."' LIMIT 1"));
if($ked != 0) {
echo '<div class="podmenu">';
echo '<font color="red"><b>Осторожно!<br/>Данный пользователь мошенник!</b></font><br/>';
echo '</div>';
}
echo '<div class="podmenu">
» ID: '.$ank['id'].'<br />
» Дата регистрации: '.vremja($ank['datareg']).'
<br />

» Последнее посещение: '.times($ank['viz']).'
<br />
» Провел на сайте: '.tims2($ank['allonline']).'<br />
</div>';

$creit = $ank['rating'];

echo '<div class="podmenu"><center>';
echo (empty($ank['avatar'])?'<img src="/files/ava/net.png" alt="*" style="max-width:208px;max-height:208px;" class="spaceOutUp">':'<img src="/files/ava/'.$ank['avatar'].'" alt="*" style="max-width: 210px; max-height: 210px;" class="spaceOutUp">');
if($user['id'] != $ank['id']) {
echo '<center></br><a href="'.$HOME.'/mes/dialog'.$ank['id'].'" style="background:#e6e6e6;padding-top:9px;padding-bottom:9px;padding-left:15px;padding-right:15px;"> Написать сообщение</a><br/><br/>';
}
echo '</div>';

echo '<div class="podmenu">» Имя: '.bb($ank['name']).', '.calc_age($ank['birth']).' (' . zodiak($ank['birth']) . ')</div>';

echo '<div class="podmenu">';
if($ank['rang'] == 0){  echo '» Ранг: <b>Мастер</b>';}
if($ank['rang'] == 5){  echo '» Ранг: <b>Мошенник</b>';}
elseif($ank['rang'] == 1){ echo '» Ранг: <b>Знающий мастер</b>';}
elseif($ank['rang'] == 2){ echo '» Ранг: <b>Бот</b>';}
elseif($ank['rang'] == 3){ echo '» Ранг: <b>Элитный мастер</b>';}
if($ank['sozd'] == 1){ echo '» Ранг: <b><font color="red">Основатель проекта</font></b>';}
if($ank['sozd'] == 2){ echo '» Ранг: <b><font color="red">Заместитель основателя</font></b>';}
elseif($ank['rang'] == 4){ echo '» Ранг: <b>Администрация</b>';}

if($ank['journal']==1) { echo' | <b><font color="green">Корреспондент газеты</font></b>';}
echo '</div>';
echo '<div class="podmenu">';
if($ank['spec'] == 0){  echo '» Специализация: <b>Нечего не умею</b>';}
if($ank['spec'] == 1){  echo '» Специализация: <b>Кодер</b>';}
if($ank['spec'] == 2){  echo '» Специализация: <b>Дизайнер</b>';}
if($ank['spec'] == 3){  echo '» Специализация: <b>Хостер</b>';}
if($ank['spec'] == 4){  echo '» Специализация: <b>Ресселер</b>';}
if($ank['spec'] == 5){  echo '» Специализация: <b>Загрузчик скриптов</b>';}
if($ank['spec'] == 6){  echo '» Специализация: <b>Помощник новичкам</b>';}
echo '</div>';
echo '<div class="podmenu">» Достижение: ';
if($ank['rating'] >= 0 && $ank['rating'] <= 0.20 or empty($ank['rating']) or $ank['rating'] <= 0) echo 'Новичок';

elseif($ank['rating'] > 0.21 && $ank['rating'] <= 0.50) echo '<font color="green">Активист</font>';
elseif($ank['rating'] > 0.51 && $ank['rating'] <= 3) echo '<font color="red">Опытный</font>';
elseif($ank['rating'] > 3.01 && $ank['rating'] <= 10) echo '<font color="#FFFF00">Специалист</font>';
elseif($ank['rating'] > 10.01 && $ank['rating'] <= 50) echo '<font color="#0066FF">Профессионал</font>';
elseif($ank['rating'] > 50.01 && $ank['rating'] <= 100) echo '<font color="#990033">Элитный мастер</font>';
echo '</div>';
echo '<div class="podmenu">» Награды: <a href="/medals'.$ank['id'].'">'.mysql_result(mysql_query("SELECT COUNT(*) FROM `medals` WHERE `id_us` = '$ank[id]'"),0).'</a>:';
$query = mysql_query("SELECT * FROM `medals` WHERE `id_us` = '".$ank['id']."'");
while ($medals = mysql_fetch_assoc($query))
{
echo '<img src="'.$HOME.'/images/medals/'.$medals['num'].'.png" alt="'.$medals['za'].'" title="За: '.$medals['za'].'" >';
}
echo '</div>';
echo '<div class="podmenu">» Статус: ';
echo '<span style="color: #FF0000">';
echo (empty($ank['stat'])?'JustWM.Ru':'' . buildTextGradient($ank['stat'], array($ank['n_color'], $ank['k_color'])) . '');
echo '</span> ';
if($user['level'] >= 3) {
echo '<a href="/status'.$ank['id'].'">[ред]</a>';
}
echo '</div>';
echo '<div class="title">Информация:</div>';
if ($ank['zakr'] == 1 && $user['id'] != $ank['id'] && $user['level'] < 1){
echo '<div class="podmenu"><font color="red"><center><b>Данный пользователь закрыл свои данные!</b></center></font></div>';
}else{
echo '<div class="podmenu">';
echo '
» Страна: ';
echo (empty($ank['strana'])?'Не заполнено':''.bb($ank['strana']).'');
  echo '</div>';
 echo '<div class="podmenu">';
echo '» Город: ';
echo (empty($ank['gorod'])?'Не заполнено':''.bb($ank['gorod']).'');
  echo '</div>';
 echo '<div class="podmenu">';
echo '» О себе: ';
echo (empty($ank['osebe'])?'Не заполнено':''.bb($ank['osebe']).'');
  echo '</div>';

echo '<div class="title">Контактные данные:</div>';
 echo '<div class="podmenu">';
echo '» Skype: ';
echo (empty($ank['skype'])?'Не заполнено':''.bb($ank['skype']).'');
  echo '</div>';
 echo '<div class="podmenu">';
echo '» ICQ: ';
echo (empty($ank['icq'])?'Не заполнено':''.bb($ank['icq']).'');
  echo '</div>';
 echo '<div class="podmenu">';
echo '» Сайт: ';
echo (empty($ank['url'])?'Не заполнено':''.bb($ank['url']).'');
  echo '</div>';
} 

echo '<div class="menu">Реквизиты :</div>';
if($ank['wp'] == 0) {
echo '<div class="podmenu">';
echo '<font color="red">WMID не подтвержден!</font><br /><font color="green"><a href="/user/wmid.php">Подтвердить!</a></font>';
echo '</span></b>';
echo '</div>';
}else{
echo '<div class="podmenu"> WMID: <a href="http://passport.webmoney.ru/asp/certview.asp?wmid='.$ank['wmid'].'">'.$ank['wmid'].' </a></div>
<div class="podmenu">BL: <img src="http://stats.wmtransfer.com/Levels/pWMIDLevel.aspx?wmid='.$ank['wmid'].'&w=35&h=18&bg=0XDBE2E9" alt="WMID"/></div></a>
<div class="podmenu">Претензии/Отзывы/Иски: <img src="http://arbitrage.webmoney.ru/xml/AL2.aspx?wmid='.$ank['wmid'].'" alt="П/О/И"/></div>
<div class="podmenu"> Кошелек : R'.$ank['wmr'].' </div>';
}

echo '<div class="title">Статистика:</div>';
$p_forum=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_post` WHERE `us` = '$ank[id]'"),0);
$t_forum=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_tema` WHERE `us` = '$ank[id]'"),0);
$f_load=mysql_result(mysql_query("SELECT COUNT(*) FROM `load_file` WHERE `avtor` = '$ank[id]'"),0);
$p_guest=mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `avtor` = '$ank[id]'"),0);
$blog=mysql_result(mysql_query("SELECT COUNT(*) FROM `cod_stat` WHERE `avtor` = '$ank[id]'"),0);
$ps2 = mysql_result(mysql_query('SELECT COUNT(*) from `forum_post` where `time` > "'.(time()-((60*60)*24)).'" and `us` = "'.$ank[id].'"'),0);
$ps3 = mysql_result(mysql_query('SELECT COUNT(*) from `forum_tema` where `time` > "'.(time()-((60*60)*24)).'" and `us` = "'.$ank[id].'"'),0);
echo '<div class="podmenu">» Тем в форуме:<a href="/forum/temus'.$ank['id'].'"> '.$t_forum.'</a> (сегодня: '.$ps3.')</div>';
echo '<div class="podmenu">» Постов в форуме:<a href="/forum/postus'.$ank['id'].'"> '.$p_forum.'</a> (сегодня: '.$ps2.')</div>';
echo '<div class="podmenu">» Файлов: <a href="/down/fileus'.$ank['id'].'">'.$f_load.'</a></div>';
echo '<div class="podmenu">» Полезных кодов: <a href="/codus'.$ank['id'].'">'.$blog.' </a></div>';
echo '<div class="podmenu">» Постов в гостевой: '.$p_guest.' </div>';

echo '<div class="title">Другая информация</div>';
$count_friends = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `us_a` = '".$ank['id']."' AND `status` = '1'"),0);
echo '<div class="podmenu"><a href = "'.$HOME.'/nicks'.$ank['id'].'">» История ников ('.mysql_result(mysql_query('select count(`id`) from `nicks` where `us` = "'.$ank['id'].'" '),0).')</a></div>';
echo '<div class="podmenu"><a href="'.$HOME.'/friends'.$ank['id'].'">» Друзья ('.$count_friends.')</a></div>';
echo '<div class="podmenu"><a href="'.$HOME.'/stena/'.$ank['login'].'">» Стена ('.mysql_result(mysql_query('select count(`id`) from `stena` where `ukogo` = "'.$ank['id'].'"'),0).')</a></div>';
echo '<div class="podmenu"><a href="'.$HOME.'/porte/inf'.$ank['id'].'">» Портфолио</a></div>';
echo '<div class="podmenu"><a href="'.$HOME.'/m/shop.php?id='.$ank['id'].'">» Товаров в магазине ('.mysql_result(mysql_query('select count(`id`) from `shop_goods` where `id_us` = "'.$ank['id'].'"'),0).')</a></div>';
echo '<div class="podmenu"><a href = "'.$HOME.'/arb'.$ank['id'].'">» Арбитраж (<font color="green">'.mysql_result(mysql_query('select count(`id`) from `arb` where `komy` = "'.$ank['id'].'" and `otzv` = "1" and `prinyat`="1"'),0) .'</font>/<font color="red">'.mysql_result(mysql_query('select count(`id`) from `arb` where `komy` = "'.$ank['id'].'" and `otzv` = "2" and `prinyat`="1"'),0).'</font>)</a></div>';
echo '<div class="podmenu"><a href="'.$HOME.'/sps/'.$ank['login'].'">» Сказали спасибо ('.mysql_result(mysql_query('select count(`id`) from `sps_user` where `komy` = "'.$ank['id'].'"'),0).')</a></div>';
echo '<div class="podmenu"><a href="'.$HOME.'/reputation/'.$ank['login'].'">» Репутация (<font color="green">'.mysql_result(mysql_query('select count(`id`) from `repa_user` where `komy` = "'.$ank['id'].'" and `repa` = "+"'),0).'</font>/<font color="red">'.mysql_result(mysql_query('select count(`id`) from `repa_user` where `komy` = "'.$ank['id'].'" and `repa` = "-"'),0).'</font>)</a></div>';
echo '<div class="podmenu"><a href = "'.$HOME.'/nar'.$ank['id'].'">» История пенализаций ('.mysql_result(mysql_query('select count(`id`) from `nar` where `komy` = "'.$ank['id'].'" '),0).')</a></div>';
if($user['id'] != $ank['id']) {
$ignor = mysql_fetch_assoc(mysql_query("SELECT * FROM `message_c` WHERE `kto` = '".$user['id']."' and `kogo` = '".$ank['id']."'"));
if($ignor['ignor'] != 1) {
echo '<div class="links"><a href="'.$HOME.'/mes/ignor'.$ank['id'].'"><img src="'.$HOME.'/images/ank/ignor.png" alt="*" /> Добавить в игнор</a></div>';
} else {
echo '<div class="links"><a href="'.$HOME.'/mes/ignor_up'.$ank['id'].'"><img src="'.$HOME.'/images/ank/del_i.png" alt="*" /> Убрать с игнора</a></div>';
}

$fri = mysql_fetch_assoc(mysql_query("SELECT * FROM `friends` WHERE `us_a` = '".$user['id']."' and `us_b` = '".$ank['id']."'"));
if($fri['status'] != 1) {
echo '<div class="links"><a href="'.$HOME.'/friends/add'.$ank['id'].'"><img src="'.$HOME.'/images/friendship.gif" alt="*" /> Добавить в друзья</a></div>';
} else {
echo '<div class="links"><a href="'.$HOME.'/friends/delete'.$ank['id'].'"><img src="'.$HOME.'/images/xdrugs.png" alt="*" /> Удалить из друзей</a></div>';
}
}
echo '<div class="menu"><a href="/stena/'.$ank['login'].'">Стена</a> '.$wall.'</div>';
if(isset($_REQUEST['ok'])) {

$msg = strong($_POST['msg']);
if(empty($msg)) {
echo err('Введите сообщение!');
require_once ('../system/footer.php'); exit;
}

if(mb_strlen($msg) < 3) {
echo err('Введите сообщение минимум 3 символа!');
require_once ('../system/footer.php'); exit;
}

$ttte = mysql_fetch_array(mysql_query('select * from `stena` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo err('Вы такой пост уже писали!');
require_once ('../system/footer.php'); exit;
}

$tim = mysql_query("SELECT * FROM `stena` WHERE `avtor` = '".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `stena` "));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['stena'])
{
echo err('Пишите не чаще чем раз в '.$news_antispam['stena'].' секунд!');

}
}
mysql_query("INSERT INTO `stena` SET `msg` = '".$msg."', `avtor` = '".$user['id']."', `ukogo` = '".$ank['id']."', `time` = '".time()."'");
$user_rss = mysql_query("SELECT * FROM `friends` WHERE `us_a`='".$ank['id']."'");
while($user_rss2 = mysql_fetch_assoc($user_rss)){
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$user_rss2['us_b']."', `kto` = '".$ank['id']."', `text` = 'написал у себя на [url=".$HOME."/stena/".$ank['login']."?selection=top]стене новую новость[/url]'");
 }
if($user['id'] != $ank['id']) {

mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'написал у Вас на [url=".$HOME."/stena/".$ank['login']."?selection=top]стене[/url]'");
}


}
if($ank['id'] == $user['id']) {
echo '<div class="podmenu">
<form action="" name="message" method="POST">
Сообщение:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '
<textarea name="msg" placeholder="Введите текст..."></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';
}
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `ukogo` = '".$ank['id']."'"),0);
$stena = mysql_query("SELECT * FROM `stena` WHERE `ukogo` = '".$ank['id']."' ORDER BY `time` DESC LIMIT 3");
while($st = mysql_fetch_assoc($stena))
{
echo '<div class="links">'.nick($st['avtor']).' ('.vremja($st['time']).')';
if($id == $user['id'] or $user['level'] >= 1) echo ' [<a href="'.$HOME.'/delmsg_'.$st['id'].'">удалить</a>]';
echo '</div><div class="podmenu">'.smile(bb($st['msg'])).'';
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `stena_komm` WHERE `id_news` = '".$id."'"),0);
echo '</br><a href="/user/komm.php?id='.$st['id'].'"><img src="/design/icons/bbl4.png" alt=""/>'.$count.'</a>';
$reit_a = mysql_fetch_array(mysql_query('select * from `status_r` where `news` = "'.$st['id'].'" and `kto` = "'.$user['id'].'"'));
$reit = mysql_result(mysql_query('select count(`id`) from `status_r` where `news`= "'.$st['id'].'" and `r` = "1"'),0);
if($user['id'] != $ank['id'] && $reit_a == 0) {
echo ' <a href="'.$HOME.'/like'.$st['id'].'"><img src="'.$HOME.'/images/plus.png" alt="*" />'.$reit.'</a>';
echo '</b> ';
}
else {
echo ' <img src="'.$HOME.'/images/plus.png" alt="*" />'.$reit.'';
}
echo '</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Стена пуста!</b></center></div>';
}
/*** Функции для админа ***/
if($user['level'] >= 1) {
echo '<div class="title"><center> Админ обзор:</center></div>';
echo '<div class="podmenu">
» Браузер: '.$ank['browser'].' <br />
» IP: <a href="/panel/reg_mod?ip='.$ank['ip'].'">'.$ank['ip'].'</a>
</div>';}

if($user['level'] >= 1){

if($ban != 0){
echo '<div class="links"><img src="images/ank/ban.png" alt="*" /><a href="'.$HOME.'/panel/ban/list/updateban'.$ank['id'].'">Разбанить</a></div>';
} else {
echo '<div class="links"><img src="images/ank/ban.png" alt="*" /><a href="'.$HOME.'/panel/ban/list/addban'.$ank['id'].'">Забанить</a></div>';
}
if($ked != 0){
echo '<div class="links"><a href="'.$HOME.'/doska/dellked'.$ank['id'].'"> Убрать с доски</a></div>';
} else {
echo '<div class="links"><a href="'.$HOME.'/doska/addked'.$ank['id'].'"> Добавить на доску</a></div>';
}
echo '<div class="links"><img src="/images/ank/red.png" alt="*" /><a href="'.$HOME.'/panel/up_us_'.$ank['id'].'">Редактировать</a></div>';

}
if($user['id'] != $ank['id']){
echo '<div class="podmenu"><img style="width:16px" src="/images/ank/strong.png" alt="ico"/><a href="'.$HOME.'/user/perevod.php?id='.$ank['id'].'">Перевести стронги</a></div>';
}
if($user['level'] >= 2) {
if ($ank['journal']!=1){
	echo "<div class='podmenu'><a href='../gazeta/journal.php?act=yes&id=".$ank['id']."'>Поставить на журналиста</a></div>";
	}
if ($ank['journal']==1){
	echo "<div class='podmenu'><a href='../gazeta/journal.php?act=no&id=".$ank['id']."'>Снять с журналиста</a></div>";
	}
	}

break;

##СТЕНА

case 'stena':

if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}

echo '<div class="title"><a href="'.$HOME.'/profile/'.$id.'">Анкета '.$ank['login'].'</a> | Стена</div>';

if(isset($_REQUEST['ok'])) {

$msg = strong($_POST['msg']);
if(empty($msg)) {
echo err('Введите сообщение!');
require_once ('../system/footer.php'); exit;
}

if(mb_strlen($msg) < 3) {
echo err('Введите сообщение минимум 3 символа!');
require_once ('../system/footer.php'); exit;
}

$ttte = mysql_fetch_array(mysql_query('select * from `stena` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo err('Вы такой пост уже писали!');
require_once ('../system/footer.php'); exit;
}

$tim = mysql_query("SELECT * FROM `stena` WHERE `avtor` = '".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `stena` "));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['stena'])
{
echo err('Пишите не чаще чем раз в '.$news_antispam['stena'].' секунд!');
require_once ('../system/footer.php'); exit;
}
}
mysql_query("INSERT INTO `stena` SET `msg` = '".$msg."', `avtor` = '".$user['id']."', `ukogo` = '".$ank['id']."', `time` = '".time()."'");
$user_rss = mysql_query("SELECT * FROM `friends` WHERE `us_a`='".$ank['id']."'");
while($user_rss2 = mysql_fetch_assoc($user_rss)){
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$user_rss2['us_b']."', `kto` = '".$ank['id']."', `text` = 'написал у себя на [url=".$HOME."/stena/".$ank['login']."?selection=top]стене новую новость[/url]'");
 }
if($user['id'] != $ank['id']) {

mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'написал у Вас на [url=".$HOME."/stena/".$ank['login']."?selection=top]стене[/url]'");
}

header('Location: '.$HOME.'/stena/'.$id.'');
}
if($ank['id'] == $user['id']) {
echo '<div class="podmenu">
<form action="" name="message" method="POST">
Сообщение:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '
<textarea name="msg" placeholder="Введите текст..."></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';
}
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `ukogo` = '".$ank['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$stena = mysql_query("SELECT * FROM `stena` WHERE `ukogo` = '".$ank['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($st = mysql_fetch_assoc($stena))
{
echo '<div class="links">'.nick($st['avtor']).' ('.vremja($st['time']).')';
if($id == $user['id'] or $user['level'] >= 1) echo ' [<a href="'.$HOME.'/delmsg_'.$st['id'].'">удалить</a>]';
echo '</div><div class="podmenu">'.smile(bb($st['msg'])).'';
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `stena_komm` WHERE `id_news` = '".$id."'"),0);
echo '</br><a href="/user/komm.php?id='.$st['id'].'"><img src="/design/icons/bbl4.png" alt=""/>'.$count.'</a>';
$reit_a = mysql_fetch_array(mysql_query('select * from `status_r` where `news` = "'.$st['id'].'" and `kto` = "'.$user['id'].'"'));
$reit = mysql_result(mysql_query('select count(`id`) from `status_r` where `news`= "'.$st['id'].'" and `r` = "1"'),0);
if($user['id'] != $ank['id'] && $reit_a == 0) {
echo ' <a href="'.$HOME.'/like'.$st['id'].'"><img src="'.$HOME.'/images/plus.png" alt="*" />'.$reit.'</a>';
echo '</b> ';
}
else {
echo ' <img src="'.$HOME.'/images/plus.png" alt="*" />'.$reit.'';
}
echo '</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Стена пуста!</b></center></div>';
}

if ($k_page>1) {
echo str('stena_id_'.$id.'?',$k_page,$page); // Вывод страниц
}

break;
case 'delmsg':

$sid = abs(intval($_GET['id']));
$stenka = mysql_fetch_assoc(mysql_query("SELECT * FROM `stena` WHERE `id` = '".$sid."'"));
$anks = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$stenka['ukogo']."'"));

if($stenka == 0) {
echo err($title, 'Такого комментария не существует!');
require_once ('../system/footer.php'); exit;
}

if($anks['id'] == $user['id'] or $user['level'] >= 1) {
mysql_query("DELETE FROM `stena` WHERE `id` = '".$sid."'");
header('Location: '.$HOME.'/stena/'.$anks['login'].'');
exit();
} else {
header('Location: '.$HOME.'/stena/'.$anks['login'].'');
exit();
}

break;
case 'status':

if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}

echo '<div class="title"><a href="'.$HOME.'/profile/'.$id.'">Анкета '.$ank['login'].'</a> | Стена</div>';

if(isset($_REQUEST['ok'])) {

$msg = strong($_POST['msg']);
if(empty($msg)) {
echo err('Введите сообщение!');
require_once ('../system/footer.php'); exit;
}

if(mb_strlen($msg) < 3) {
echo err('Введите сообщение минимум 3 символа!');
require_once ('../system/footer.php'); exit;
}

$ttte = mysql_fetch_array(mysql_query('select * from `stena` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo err('Вы такой пост уже писали!');
require_once ('../system/footer.php'); exit;
}

$tim = mysql_query("SELECT * FROM `stena` WHERE `avtor` = '".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `stena` "));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['stena'])
{
echo err('Пишите не чаще чем раз в '.$news_antispam['stena'].' секунд!');
require_once ('../system/footer.php'); exit;
}
}
mysql_query("INSERT INTO `stena` SET `msg` = '".$msg."', `avtor` = '".$user['id']."', `ukogo` = '".$ank['id']."', `time` = '".time()."'");

if($user['id'] != $ank['id']) {
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'написал у Вас на [url=".$HOME."/stena/".$ank['login']."?selection=top]стене[/url]'");
}

header('Location: '.$HOME.'/stena/'.$id.'');
}

echo '<div class="podmenu">
<form action="" name="message" method="POST">
Сообщение:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '
<textarea name="msg" placeholder="Введите текст..."></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `ukogo` = '".$ank['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$stena = mysql_query("SELECT * FROM `stena` WHERE `ukogo` = '".$ank['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($st = mysql_fetch_assoc($stena))
{
echo '<div class="links">'.nick($st['avtor']).' ('.vremja($st['time']).')';
if($id == $user['id'] or $user['level'] >= 1) echo ' [<a href="'.$HOME.'/delmsg_'.$st['id'].'">удалить</a>]';
echo '</div><div class="podmenu">'.smile(bb($st['msg'])).'</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Сообщений нет!</b></center></div>';
}

if ($k_page>1) {
echo str('stena_id_'.$id.'?',$k_page,$page); // Вывод страниц
}

break;
##РЕПУТАЦИЯ

case 'repa':

if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}

echo '<div class="title"><a href="'.$HOME.'/profile/'.$id.'">Анкета '.$ank['login'].'</a> | Репутация</div>';

if(isset($_REQUEST['ok'])) {

$text = strong($_POST['msg']);
$repa = abs(intval($_POST['repa']));

if($user['id'] == $ank['id']) {
echo err('Вы не можете изменять себе репутацию!');
require_once ('../system/footer.php'); exit;
}

if(empty($text)) {
echo err('Введите текст!');
require_once ('../system/footer.php'); exit;
}

if($repa != '0' && $repa != '1') {
echo err('Можно ставить только + или -');
require_once ('../system/footer.php'); exit;
}

if(mb_strlen($text,'UTF-8') < 3) {
echo err('Введите сообщение минимум 3 символа!');
require_once ('../system/footer.php'); exit;
}

$sql = mysql_fetch_array(mysql_query('select * from `repa_user` where `kto` = "'.$user['id'].'" and `text` = "'.$text.'"'));
if($sql != 0) {
echo err('Ошибка!');
require_once ('../system/footer.php'); exit;
}
if($repa == '0') $repa = '+';
elseif($repa == '1') $repa = '-';

$tim = mysql_query("SELECT * FROM `repa_user` WHERE `komy` = '".$ank['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `repa` "));
$ncm_timeout = $ncm2['time'];
$vremja = 86400 * $news_antispam['repa'];
if((time()-$ncm_timeout) < $vremja) {
echo err('Репутацию можно изменять раз в '.$news_antispam['repa'].' дня!');
require_once ('../system/footer.php'); exit;
}
}
$uss = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$ank['id']."'"));
$settings = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));
mysql_query("INSERT INTO `repa_user` SET `text` = '".$text."', `kto` = '".$user['id']."', `komy` = '".$ank['id']."', `time` = '".time()."', `repa` = '".$repa."'");

if($repa == '+') {
##добавляем юзеру рейтинг

mysql_query("UPDATE `users` SET `rating` = '".($uss['rating']+0.05)."' WHERE `id` = '".$ank['id']."' LIMIT 1");
##Оповещаем юзера
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'повысил вашу [url=".$HOME."/reputation/".$ank['login']."?selection=top]репутацию[/url]'");
}
elseif($repa == '-') {
##отнимаем юзеру рейтинг
mysql_query("UPDATE `users` SET `rating` = '".($uss['rating']-0.02)."' WHERE `id` = '".$ank['id']."' LIMIT 1");
##Оповещаем юзера
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'понизил вашу [url=".$HOME."/reputation/".$ank['login']."?selection=top]репутацию[/url]'");
}

header('Location: '.$HOME.'/reputation/'.$id.'');
}

if($user['id'] != $ank['id']) {

echo '<div class="podmenu"><form action="" name="message" method="POST">
Сообщение:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '<textarea name="msg" placeholder="Введите текст..."></textarea> <br />
<select name="repa">
<option value="0">Плюс</option>
<option value="1">Минус</option>
</select> <br/ >
<input type="submit" name="ok" value="Изменить репутацию" />
<br> <b>Запрещено</b> оставлять необоснованные сообщения по типу "+++", <b>обязательно</b> указывайте за что вы изменяете репутацию данного юзера.
</form></div>';

}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `repa_user` WHERE `komy` = '".$ank['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$repa = mysql_query("SELECT * FROM `repa_user` WHERE `komy` = '".$ank['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($repa))
{
echo '<div class="links"><b>'.$a['repa'].'</b> От '.nick($a['kto']).' ['.vremja($a['time']).']';
if($user['level'] >= 1) echo ' [<a href="'.$HOME.'/del_repa_'.$a['id'].'">удалить</a>]';
echo '</div><div class="podmenu">'.smile(bb($a['text'])).'</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Репутацию не изменяли!</b></center></div>';
}

if ($k_page>1) {
echo str('reputation'.$id.'?',$k_page,$page); // Вывод страниц
}

break;
case 'del_repa':

$id = abs(intval($_GET['id']));
$repa = mysql_fetch_assoc(mysql_query("SELECT * FROM `repa_user` WHERE `id` = '".$ank['id']."'"));
$anks = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$repa['komy']."'"));

if($repa == 0) {
echo err($title, 'Данный ID в базе не найден!');
require_once ('../system/footer.php'); exit;
}

if($user['level'] >= 1) {
mysql_query("DELETE FROM `repa_user` WHERE `id` = '".$ank['id']."'");
header('Location: '.$HOME.'/reputation/'.$anks['id'].'');
exit();
} else {
header('Location: '.$HOME.'/reputation/'.$anks['id'].'');
exit();
}

break;
case 'sps':

if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}

echo '<div class="title"><a href="'.$HOME.'/profile/'.$id.'">Анкета '.$ank['login'].'</a> | Сказали спасибо</div>';

if(isset($_REQUEST['ok'])) {

$text = strong($_POST['msg']);
;

if($user['id'] == $ank['id']) {
echo err('Вы не можете изменять себе репутацию!');
require_once ('../system/footer.php'); exit;
}

if(empty($text)) {
echo err('Введите текст!');
require_once ('../system/footer.php'); exit;
}



if(mb_strlen($text,'UTF-8') < 3) {
echo err('Введите сообщение минимум 3 символа!');
require_once ('../system/footer.php'); exit;
}

$sql = mysql_fetch_array(mysql_query('select * from `sps_user` where `kto` = "'.$user['id'].'" and `text` = "'.$text.'"'));
if($sql != 0) {
echo err('Ошибка!');
require_once ('../system/footer.php'); exit;
}


$tim = mysql_query("SELECT * FROM `sps_user` WHERE `komy` = '".$ank['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `sps` "));
$ncm_timeout = $ncm2['time'];
$vremja = 86400 * $news_antispam['sps'];
if((time()-$ncm_timeout) < $vremja) {
echo err('Поблагодарить можно изменять раз в '.$news_antispam['sps'].' дня!');
require_once ('../system/footer.php'); exit;
}
}

$settings = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));
mysql_query("INSERT INTO `sps_user` SET `text` = '".$text."', `kto` = '".$user['id']."', `komy` = '".$ank['id']."', `time` = '".time()."'");

{
##добавляем юзеру рейтинг
mysql_query("UPDATE `users` SET `rating` = '".($ank['rating']+0.03)."' WHERE `id` = '".$ank['id']."' LIMIT 1");
##Оповещаем юзера
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'поблагодарил [url=".$HOME."/sps/".$ank['login']."?selection=top]вас[/url]'");
}


header('Location: '.$HOME.'/sps/'.$id.'');
}

if($user['id'] != $ank['id']) {

echo '<div class="podmenu"><form action="" name="message" method="POST">
Сообщение:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '<textarea name="msg" placeholder="Введите текст..."></textarea> <br />
<input type="submit" name="ok" value="Сказать спасибо" />
<br>
</form></div>';

}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `sps_user` WHERE `komy` = '".$ank['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$repa = mysql_query("SELECT * FROM `sps_user` WHERE `komy` = '".$ank['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($repa))
{
echo '<div class="links"><b>'.$a['repa'].'</b> От '.nick($a['kto']).' ['.vremja($a['time']).']';
echo '</div><div class="podmenu">'.smile(bb($a['text'])).'</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Данному пользавателю еще не кто не говорил спасибо!</b></center></div>';
}

if ($k_page>1) {
echo str('sps'.$id.'?',$k_page,$page); // Вывод страниц
}

break;
}

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>